from django.urls import path, re_path

from . import views

app_name = 'news'
urlpatterns = [
    path('', views.index, name='index'),
    path('<int:post_id>', views.post, name='post'),
    path('<int:post_id>/comment/<int:comment_id>', views.comment_with_parent, name='comment_with_parent'),
    path('<int:post_id>/comment', views.comment, name='comment'),
    path('comment/<int:comment_id>/delete', views.delete_comment, name='delete_comment'),
    path('upvote/<int:comment_id>', views.upvote, name='upvote'),
    path('submission', views.submission, name='submission'),
    path('submitted', views.submitted, name='submitted'),
    path('account', views.account, name='account'),
    path('signin', views.signin, name='signin'),
    path('logout', views.logout_view, name='logout_view'),
    path('password-change', views.password_change, name='password_change'),
    re_path(r'^register/$', views.register, name='register'),

]
